/***************************** C HEADER FILE *********************************
**
**  Project:    RTCU Communication Hub, Blacklist plug-in
**  Filename:   PLUGIN_MAIN.H 
**  Version:    1.00
**  Date:       January 30, 2019
**  
******************************************************************************
**
**  VERSION HISTORY:
**  ----------------
**  1.00 - January 30, 2019 - Michael Olsen
**  - Ported to RCH.
**
*****************************************************************************/
#if !defined(_PLUGIN_MAIN_INTERFACE_)
#define _PLUGIN_MAIN_INTERFACE_

#if defined(__cplusplus)
  extern "C" {
#endif


/*****************************************************************************
**
**    MODULES USED 
**
*****************************************************************************/


/*****************************************************************************
**
**    DEFINITIONS AND MACROS
**
*****************************************************************************/


/****************************************************************************
**
**    TYPEDEFS AND STRUCTURES
**
****************************************************************************/


/****************************************************************************
** 
**    EXPORTED VARIABLES
**
****************************************************************************/


/****************************************************************************
**
**    EXPORTED FUNCTIONS
**
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// This function is the plug-in entry point and is called by the RCH to
// initialize the plug-in.
//
// Input:
//    Services      - Pointer to the RCH service structure.
//
// Output:
//    None.
//
// Returns:
//    None.
//
/////////////////////////////////////////////////////////////////////////////
gwpf_func_exit GWPF_InitPlugin(const gwpf_gateway_services *Services);


#if defined(__cplusplus)
  }
#endif

#endif   /* _PLUGIN_MAIN_INTERFACE_ */
/****************************************************************************
**
**    EOF 
**
****************************************************************************/
